php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #34464 require/include problem with loading native .php in UTF8 encoding
Submitted: 2005-09-11 17:13 UTC Modified: 2005-09-11 18:02 UTC
Votes:11
Avg. Score:4.5 ± 0.8
Reproduced:9 of 9 (100.0%)
Same Version:3 (33.3%)
Same OS:4 (44.4%)
From: michal dot vrchota at seznam dot cz Assigned:
Status: Wont fix Package: Directory function related
PHP Version: 5.0.5 OS: -
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2005-09-11 17:13 UTC] michal dot vrchota at seznam dot cz
Description:
------------
I store "define() dictionary" in .php in native UTF8 encoding
(first 4 bytes represent UTF8 encoding - PHP dont recognize them)

When I use include/include_once/require/require_once

There is a E_WARNING that output already started

I think PHP should be smarter :)

Reproduce code:
---------------
// fr.php is in native utf-8
require_once("fr.php");

Actual result:
--------------
Warning: Cannot modify header information - headers already sent by (output started at d:\wwwroot\hotel4you\html\admin\lang\fr.php:1) in d:\wwwroot\hotel4you\html\admin\index.php on line 61

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2005-09-11 18:02 UTC] derick@php.net
This wil be fixed for PHP 6 (and already is).
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Sat Feb 16 07:01:25 2019 UTC